#
# spec file for package python-vcversioner
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

%define oname   vcversioner

Name:           python-vcversioner
Version:        2.14.0.0
Release:        6.1
License:        ISC
Summary:        Use version control tags to discover version numbers
Url:            https://github.com/habnabit/vcversioner
Group:          Development/Languages/Python
Source0:        https://pypi.python.org/packages/source/v/%{oname}/%{oname}-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Elevator pitch: you can write a setup.py with no version information
specified, and vcversioner will find a recent, properly-formatted
VCS tag and extract a version from it.

%prep
%setup -q -n %{oname}-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/%{oname}-%{version}-py%{py_ver}.egg-info
%{python_sitelib}/%{oname}.*

%changelog
* Sun Jun 14 2015 nemysis@gmx.ch
- Change Description
* Sun Jun  7 2015 nemysis@gmx.ch
- Initial package creation
